> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets detailed information of reindex operation

> Returns the status of a catalog reindex operation started with the reindex request. Poll this endpoint until `currentState` is `Completed` (or `Failed`). Until reindexing completes, skills continue to search the previous version of the catalog data.



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId}
openapi: 3.0.1
info:
  title: Vantage processing REST API
  description: >-
    The Vantage Processing REST API lets you process documents programmatically:
    create transactions, upload files, launch skills, monitor progress, and
    download results. For authentication and a first end-to-end request, see the
    [Getting started guide](/vantage/developer/getting-started).
  version: '1.0'
  x-application-version: 1.0.0-20251028.13+6e102d0c2a7a440df9ee9615e09b3c8c333587ac
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId}:
    get:
      tags:
        - Catalogs
      summary: Gets detailed information of reindex operation
      description: >-
        Returns the status of a catalog reindex operation started with the
        reindex request. Poll this endpoint until `currentState` is `Completed`
        (or `Failed`). Until reindexing completes, skills continue to search the
        previous version of the catalog data.
      operationId: GetReindexOperation
      parameters:
        - name: catalogId
          in: path
          description: Catalog identifier. You can find it in the list of all catalogs.
          required: true
          schema:
            type: string
        - name: reindexOperationId
          in: path
          description: >-
            Operation identifier. You can find it in response to start reindex
            operation.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the operation
          format: uuid
        indexModelId:
          type: string
          description: Id of the index model used to analyze documents
          format: uuid
          nullable: true
        workflowProcessingId:
          type: string
          description: Id of the operation workflow
          format: uuid
          nullable: true
        created:
          type: string
          description: Time when operation was created
          format: date-time
        completed:
          type: string
          description: Time when operation was completed
          format: date-time
          nullable: true
        currentState:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState
          description: >-
            Current state of the reindex operation. One of `InProgress`,
            `Failed`, or `Completed`. Skills search the updated catalog data
            only after the state is `Completed`.
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
          description: URI reference that identifies the problem type.
        title:
          type: string
          nullable: true
          description: Short, human-readable summary of the problem type.
        status:
          type: integer
          format: int32
          nullable: true
          description: HTTP status code for this occurrence of the problem.
        detail:
          type: string
          nullable: true
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
        instance:
          type: string
          nullable: true
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState:
      enum:
        - InProgress
        - Failed
        - Completed
      type: string
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````